<meta name="viewport" content="width=device-width, initial-scale=1.0">

<div class="row" style="height: 100%;">
  <div class="column">
    
    <div id="product-img">
      <img src="https://robberger.com/wp-content/uploads/2021/03/Investment-Tracking-Spreadsheet-1024x520.jpg" alt="">
    </div>
    <div id="product-title">
      <h2>Investment Tracker</h2>
    </div>
  </div>
  <div class="column2">
    <form [formGroup]="loginForm">

      <mat-card class="mat-elevation-z12" style="margin-top: 35%;">
        <mat-card-title style="text-align:center; font-size: 20px;">Sign In</mat-card-title>
        
        <mat-card-content>
          
            <mat-form-field appearance="outline">
              <mat-label>Email</mat-label>
              <input matInput placeholder="Email" required name="email" formControlName="email">
              <mat-error *ngIf="emailValidations && emailValidations.errors?.required">Email is required</mat-error>
              <mat-error *ngIf="emailValidations && emailValidations.touched && emailValidations.invalid && emailValidations.value != '' ">Please Enter a Valid Email</mat-error>
              <mat-icon matSuffix>email</mat-icon>
            </mat-form-field>
    
            <mat-form-field appearance="outline" *ngIf="isOtpGenerated">
              <mat-label>OTP</mat-label>
              <input matInput placeholder="OTP" type="otp" required minlength="6" name="otp" formControlName="otp">
              <mat-error *ngIf="otpValidations && otpValidations.errors?.required">OTP is required</mat-error>
              <mat-error *ngIf="otpValidations && otpValidations.touched && otpValidations.invalid && otpValidations.value != '' ">Please Enter a Valid Otp</mat-error>
              <mat-icon matSuffix>lock</mat-icon>
            </mat-form-field>
    
            <button mat-raised-button color="primary" class="login-button" [disabled]="loginForm.invalid" *ngIf="showSubmitButton" (click)="requestOtpForEmail()"> Submit </button>
    
            <button mat-raised-button color="primary" class="verify-Otp" [disabled]="loginForm.invalid" *ngIf="isOtpGenerated" (click)="verifyOtp()"> Verify Otp </button>
              
            <!-- <button mat-raised-button color="primary" class="verify-Otp" > Resend Otp </button> -->
              
          
        </mat-card-content>
      </mat-card>
    
    
    </form>
    


    
  </div>
</div> 



